org.springframework.ldap.odm.core.impl

## Class OdmManagerImpl

- java.lang.Object
- - org.springframework.ldap.odm.core.impl.OdmManagerImpl

- All Implemented Interfaces:
    OdmManager

  Deprecated.
  This functionality is automatically available in LdapTemplate as of version 2.0

      public final class OdmManagerImpl
      extends Object
      implements OdmManager

  An implementation of `OdmManager` which uses `ConverterManager` to convert between Java and LDAP representations of attribute values.
  Author:
    Paul Harvey <paul.at.pauls-place.me.uk>, Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdmManagerImpl(ConverterManager converterManager, ContextSource contextSource)` Deprecated.
    `OdmManagerImpl(ConverterManager converterManager, ContextSource contextSource, Set<Class<?>> managedClasses)` Deprecated.
    `OdmManagerImpl(ConverterManager converterManager, LdapOperations ldapOperations, Set<Class<?>> managedClasses)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addManagedClass(Class<?> managedClass)` Deprecated. Adds an `org.springframework.ldap.odm.annotations` annotated class to the set managed by this OdmManager.
    `void` | `create(Object entry)` Deprecated. Create the given entry in the LDAP directory.
    `void` | `delete(Object entry)` Deprecated. Delete an entry from the LDAP directory.
    `<T> List<T>` | `findAll(Class<T> managedClass, Name base, SearchControls scope)` Deprecated. Find all entries in the LDAP directory of a given type.
    `<T> T` | `read(Class<T> clazz, Name dn)` Deprecated. Read a named entry from the LDAP directory.
    `<T> List<T>` | `search(Class<T> clazz, LdapQuery query)` Deprecated. Search for entries in the LDAP directory.
    `<T> List<T>` | `search(Class<T> managedClass, Name base, String filter, SearchControls scope)` Deprecated. Search for entries in the LDAP directory.
    `void` | `update(Object entry)` Deprecated. Update the given entry in the LDAP directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdmManagerImpl

          public OdmManagerImpl(ConverterManager converterManager,
                                LdapOperations ldapOperations,
                                Set<Class<?>> managedClasses)

      Deprecated.

    - #### OdmManagerImpl

          public OdmManagerImpl(ConverterManager converterManager,
                                ContextSource contextSource,
                                Set<Class<?>> managedClasses)

      Deprecated.

    - #### OdmManagerImpl

          public OdmManagerImpl(ConverterManager converterManager,
                                ContextSource contextSource)

      Deprecated.

  - ### Method Detail

    - #### addManagedClass

          public void addManagedClass(Class<?> managedClass)

      Deprecated.
      Adds an `org.springframework.ldap.odm.annotations` annotated class to the set managed by this OdmManager.
      Parameters:
        `managedClass` - The class to add to the managed set.

    - #### read

          public <T> T read(Class<T> clazz,
                            Name dn)

      Deprecated.
      Description copied from interface: `OdmManager`
      Read a named entry from the LDAP directory.
      Specified by:
        `read` in interface `OdmManager`
      Type Parameters:
        `T` - The Java type to return
      Parameters:
        `clazz` - The Java type to return
        `dn` - The distinguished name of the entry to read from the LDAP directory.
      Returns:
        The entry as read from the directory

    - #### create

          public void create(Object entry)

      Deprecated.
      Description copied from interface: `OdmManager`
      Create the given entry in the LDAP directory.
      Specified by:
        `create` in interface `OdmManager`
      Parameters:
        `entry` - The entry to be create, it must not already exist in the directory.

    - #### update

          public void update(Object entry)

      Deprecated.
      Description copied from interface: `OdmManager`
      Update the given entry in the LDAP directory.
      Specified by:
        `update` in interface `OdmManager`
      Parameters:
        `entry` - The entry to update, it must already exist in the directory.

    - #### delete

          public void delete(Object entry)

      Deprecated.
      Description copied from interface: `OdmManager`
      Delete an entry from the LDAP directory.
      Specified by:
        `delete` in interface `OdmManager`
      Parameters:
        `entry` - The entry to delete, it must already exist in the directory.

    - #### search

          public <T> List<T> search(Class<T> managedClass,
                                    Name base,
                                    String filter,
                                    SearchControls scope)

      Deprecated.
      Description copied from interface: `OdmManager`
      Search for entries in the LDAP directory.

      Only those entries that both match the given search filter and are represented by the given Java class are returned

      Specified by:
        `search` in interface `OdmManager`
      Type Parameters:
        `T` - The Java type to return
      Parameters:
        `managedClass` - The Java type to return
        `base` - The root of the sub-tree at which to begin the search.
        `filter` - An LDAP search filter.
        `scope` - The scope of the search.
      Returns:
        All matching entries.
      See Also:
        Sun's JNDI tutorial description of search filters., LDAP: String Representation of Search Filters RFC.

    - #### search

          public <T> List<T> search(Class<T> clazz,
                                    LdapQuery query)

      Deprecated.
      Description copied from interface: `OdmManager`
      Search for entries in the LDAP directory.

      Only those entries that both match the query search filter and are represented by the given Java class are returned.

      Specified by:
        `search` in interface `OdmManager`
      Type Parameters:
        `T` - The Java type to return
      Parameters:
        `clazz` - The Java type to return
        `query` - the LDAP query specification
      Returns:
        All matching entries.
      See Also:
        `LdapQueryBuilder`

    - #### findAll

          public <T> List<T> findAll(Class<T> managedClass,
                                     Name base,
                                     SearchControls scope)

      Deprecated.
      Description copied from interface: `OdmManager`
      Find all entries in the LDAP directory of a given type.
      Specified by:
        `findAll` in interface `OdmManager`
      Type Parameters:
        `T` - The Java type to return
      Parameters:
        `managedClass` - The Java type to return
        `base` - The root of the sub-tree at which to begin the search.
        `scope` - The scope of the search.
      Returns:
        All entries that are of the type represented by the given Java class